
# - Find GNU plotutil
# Find the native plotutil headers and libraries.
#
#  PLOTUTIL_INCLUDE_DIR - where to find plotter.h, etc.
#  PLOTUTIL_LIBRARY    - List of libraries when using plotutil.
#  PLOTUTIL_FOUND        - True if plotutil found.

# Look for the header file.
FIND_PATH(PLOTUTIL_INCLUDE_DIR plotter.h /usr/local/include)

IF(PLOTUTIL_INCLUDE_DIR)
  MESSAGE(STATUS "plotter.h file found")
ENDIF(PLOTUTIL_INCLUDE_DIR)

MARK_AS_ADVANCED(PLOTUTIL_INCLUDE_DIR)

# Look for the library.
FIND_LIBRARY(PLOTUTIL_LIBRARY NAMES libplotter.so PATH /usr/lib /usr/local/lib)

IF(PLOTUTIL_LIBRARY)
  MESSAGE(STATUS "libplotter library found")
ELSE (PLOTUTIL_LIBRARY)
  MESSAGE(STATUS "libplotter library not found")
ENDIF(PLOTUTIL_LIBRARY)

MARK_AS_ADVANCED(PLOTUTIL_LIBRARY)

# Copy the results to the output variables.
SET(PLOTUTIL_FOUND FALSE)
IF(PLOTUTIL_INCLUDE_DIR AND PLOTUTIL_LIBRARY)
  SET(PLOTUTIL_FOUND TRUE)
ENDIF(PLOTUTIL_INCLUDE_DIR AND PLOTUTIL_LIBRARY)

# Report the results.
IF(PLOTUTIL_FOUND)
	MESSAGE(STATUS "GNU plotutil found. ${PLOTUTIL_INCLUDE_DIR}")
ELSE(PLOTUTIL_FOUND)
  SET(PLOTUTIL_DIR_MESSAGE
    "GNU plotutil was not found. Make sure PLOTUTIL_LIBRARY and PLOTUTIL_INCLUDE_DIR are set.")
   IF(NOT PLOTUTIL_FIND_QUIETLY)
    MESSAGE(STATUS "${PLOTUTIL_DIR_MESSAGE}")
  ELSE(NOT PLOTUTIL_FIND_QUIETLY)
    IF(PLOTUTIL_FIND_REQUIRED)
      MESSAGE(FATAL_ERROR "${PLOTUTIL_DIR_MESSAGE}")
    ENDIF(PLOTUTIL_FIND_REQUIRED)
  ENDIF(NOT PLOTUTIL_FIND_QUIETLY)
ENDIF(PLOTUTIL_FOUND)


